# IRdNtClientInfo Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
## Properties
RtCSNID * | Id`[get]`
RtCSNID | Id`[set]`
BSTR * | Name`[get]`
BSTR | Name`[set]`
RtQWORD * | SrvTimeLogIn`[get]`
RtQWORD | SrvTimeLogIn`[set]`
RtQWORD * | LocTimeLogIn`[get]`
RtQWORD | LocTimeLogIn`[set]`
ReNtCIStatus * | Status`[get]`
ReNtCIStatus | Status`[set]`
BSTR * | Privileges`[get]`
BSTR | Privileges`[set]`
BSTR * | URL`[get]`
BSTR | URL`[set]`
IID * | Runner`[get]`
IID | Runner`[set]`
RtDWORD * | Flags`[get]`
RtDWORD | Flags`[set]`

## Detailed Description

Object store information about client. See IRdNtClientsList and IRdNtClientStatus for more details.

Client info data object is used to store and transfer information about client between client and server.
For script support see IRdNtClientInfoDisp.

## Member Function Documentation

HRESULT IRdNtClientInfo::Clear | ( | void |  | ) |

Method clear client's info.

Referenced by IMPLEMENT_DISPATCH().

## Property Documentation

RtCSNID * IRdNtClientInfo::Id`[get]`

Use this property to read client's session ID.

Returns:
  pcsnidClient [out, retval] Returns client's session ID.

RtCSNID IRdNtClientInfo::Id`[set]`

Use this property to set client's session ID.

Parameters:

  | csnidClient | [in] Client's session ID.

BSTR * IRdNtClientInfo::Name`[get]`

Use this property to read client's Name in this session.

Returns:
  pbstrName [out, retval] Returns client's Name in this session.

BSTR IRdNtClientInfo::Name`[set]`

Use this property to set client's Name.

Parameters:

  | bstrName | [in] Client's Name.

RtQWORD * IRdNtClientInfo::SrvTimeLogIn`[get]`

Use this property to get time when client logged in on server.

Returns:
  pqwSrvTime [out, retval] Returns client's login time on server.

RtQWORD IRdNtClientInfo::SrvTimeLogIn`[set]`

Use this property to set server's login time for this client and session.

Parameters:

  | qwSrvTime | [in] Client's login time on server.

RtQWORD * IRdNtClientInfo::LocTimeLogIn`[get]`

Use this property to get local client's login time.

Returns:
  pqwLocTime [out, retval] Returns client's local login time.

RtQWORD IRdNtClientInfo::LocTimeLogIn`[set]`

Use this property to set local client's login time.

Parameters:

  | qwLocTime | [in] Client's local login time.

ReNtCIStatus * IRdNtClientInfo::Status`[get]`

Use this property to read client's status.

Returns:
  pciStat [out, retval] Returns client's status. See RdNtClientInfo::ReNtCIStatus for possible values.

ReNtCIStatus IRdNtClientInfo::Status`[set]`

Use this property to set client's status.

Parameters:

  | pciStat | [in] Client's status. See RdNtClientInfo::ReNtCIStatus for possible values.

BSTR * IRdNtClientInfo::Privileges`[get]`

Use this property to read client's privileges.

Returns:
  pbstrPrivileges [out, retval] Returns client's privileges.

BSTR IRdNtClientInfo::Privileges`[set]`

Use this property to set client's privileges.

Parameters:

  | bstrPrivileges | [in] Client's privileges.

BSTR * IRdNtClientInfo::URL`[get]`

Use this property to read client's URL.

Returns:
  pbstrURL [out, retval] Returns client's URL.

BSTR IRdNtClientInfo::URL`[set]`

Use this property to set client's URL.

Parameters:

  | bstrURL | [in] Client's URL.

IID * IRdNtClientInfo::Runner`[get]`

Use this property to read client's application runner.

Returns:
  pidRunner [out, retval] Returns client's runner ID.

IID IRdNtClientInfo::Runner`[set]`

Use this property to set client's runner.

Parameters:

  | idRunner | [in] Client's runner ID.

RtDWORD * IRdNtClientInfo::Flags`[get]`

Use this property to read client's flags.

Returns:
  pdwFlags [out, retval] Return clint's flags. See RdNtClientInfo::ReNtCIFlags for possible values.

RtDWORD IRdNtClientInfo::Flags`[set]`

Use this property to set client's flags.

Parameters:

  | dwFlags | [in] Client's flags. See RdNtClientInfo::ReNtCIFlags for possible values.